(ns jME.core
   (:import (com.jmex.game StandardGame)
            (com.jmex.editors.swing.settings GameSettingsPanel)
            (com.jmex.game.state DebugGameState)
            (com.jmex.game.state GameStateManager)
            (com.jme.scene.shape Box)
            (com.jme.math Vector3f)
            (com.jme.bounding BoundingSphere))
	(:gen-class)
)



(defn standart-game []
  (let [game (StandardGame. "A Simple Test")]
    (GameSettingsPanel/prompt (.getSettings game))
    (.start game)))

(defn add-box [state]
  (let [box (Box. "Mybox" (Vector3f. 0 0 0) (Vector3f. 1 1 1))] 
    (.setModelBound box (BoundingSphere. ))
    (.updateModelBound box)
    (.updateRenderState box)
    (.attachChild (.getRootNode state) box)
    (.updateRenderState (.getRootNode state))))

(defn -main []
  (let [game (standart-game)
        state (DebugGameState.)]
    (add-box state)
    (.attachChild (GameStateManager/getInstance) state)
    (.setActive state true)))
